Reference

What each Twilio category cost per unit

Each usage category counted in the range, in the unit Twilio counts it in, with its cost and its cost per unit beside the cost per unit over the range of the same length just before.

GET
/api/v1/providers/twilio/usage/unit-costs

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

start*Start

First day, ISO 8601 (YYYY-MM-DD or a datetime)

end*End

Last day, ISO 8601 (YYYY-MM-DD or a datetime), included

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/providers/twilio/usage/unit-costs?start=string&end=string"
{
  "success": true,
  "timestamp": "string",
  "data": {
    "start": "string",
    "end": "string",
    "previous_start": "string",
    "previous_end": "string",
    "items": [
      {
        "category": "string",
        "label": "string",
        "product": "string",
        "unit": "string",
        "quantity": 0,
        "cost": 0,
        "cost_per_unit": 0,
        "previous_cost_per_unit": 0
      }
    ]
  }
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
Ask the FinOps Agent about your cloud spend